package com.dzdy.dim.handler;

import com.dzdy.dim.protocol.response.HeartBeatResponsePacket;
import io.netty.channel.ChannelHandlerContext;
import io.netty.channel.SimpleChannelInboundHandler;

import java.util.Date;

/**
 * 心跳返回处理器
 *
 * @author : wangzhiyong
 * @date : 2019/6/4 15:03
 * description :
 */
public class HeartBeatResponseHandler extends SimpleChannelInboundHandler<HeartBeatResponsePacket> {
    @Override
    protected void channelRead0(ChannelHandlerContext ctx, HeartBeatResponsePacket msg) throws Exception {
        System.out.println(new Date() + " 客户端收到服务端心跳返回");
    }
}
