package com.dzdy.dim.handler;

import com.dzdy.dim.protocol.response.LogoutResponsePacket;
import com.dzdy.dim.util.SessionUtil;
import io.netty.channel.ChannelHandlerContext;
import io.netty.channel.SimpleChannelInboundHandler;

/**
 * 登出下线处理器
 *
 * @author : wangzhiyong
 * @date : 2019/5/28 17:57
 * description :
 */
public class LogoutResponseHandler extends SimpleChannelInboundHandler<LogoutResponsePacket> {
    @Override
    protected void channelRead0(ChannelHandlerContext ctx, LogoutResponsePacket msg) {
        SessionUtil.unBind(ctx.channel());
        System.out.println("客户端下线成功");
    }

}
