package com.dzdy.dim.handler;

import com.alibaba.fastjson.JSONObject;
import com.dzdy.dim.protocol.SockData;
import com.dzdy.dim.protocol.request.ConfirmRequestPacket;
import io.netty.channel.ChannelHandlerContext;
import io.netty.channel.SimpleChannelInboundHandler;

/**
 * 通用消息接收处理器
 *
 * @author : wangzhiyong
 * @date : 2019/5/29 16:39
 * description :
 */
public class SockDataRequestHandler extends SimpleChannelInboundHandler<SockData> {
    @Override
    protected void channelRead0(ChannelHandlerContext ctx, SockData sockData) {
        // todo 判断 Command 消息类别 然后对应业务逻辑处理
        System.out.println("已接收到 消息:" + JSONObject.toJSON(sockData));
        ConfirmRequestPacket packet = new ConfirmRequestPacket();
        packet.setPacketId(sockData.getId());
        ctx.channel().writeAndFlush(packet);
    }
}
