package com.dzdy.dim.handler;

import com.dzdy.dim.protocol.PacketCode;
import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.MessageToMessageDecoder;

import java.util.List;

/**
 * 拆包
 *
 * @author : wangzhiyong
 * @date : 2019/5/27 14:22
 * description :
 */
public class PacketDecoder extends MessageToMessageDecoder<ByteBuf> {

    @Override
    protected void decode(ChannelHandlerContext ctx, ByteBuf buffer, List<Object> out) {
        out.add(PacketCode.INSTANCE.decode(buffer));
    }
}
