package com.dzdy.dim.protocol.response;

import com.dzdy.dim.protocol.Packet;
import lombok.Data;
import lombok.EqualsAndHashCode;

import static com.dzdy.dim.protocol.command.Command.LOGOUT_RESPONSE;

/**
 * 登出返回包
 *
 * @author : wangzhiyong
 * @date : 2019/5/28 17:56
 * description :
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class LogoutResponsePacket extends Packet {

    private boolean success;

    private String reason;

    @Override
    public Byte getCommand() {
        return LOGOUT_RESPONSE.getCode();
    }
}
