package com.dzdy.dim;

import com.dzdy.dim.config.SocketService;
import com.dzdy.dim.config.WebSocketServer;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import javax.annotation.Resource;

/**
 * @author : wangzhiyong
 * @date : 2019/5/29 16:24
 * description :
 */
@Slf4j
@SpringBootApplication
public class DimApplication implements CommandLineRunner {

    @Resource
    SocketService socketService;
    @Resource
    WebSocketServer webSocketServer;

    public static void main(String[] args) {
        SpringApplication.run(DimApplication.class, args);
    }

    @Override
    public void run(String... args) throws Exception{
        socketService.run();
        webSocketServer.run();
    }
}
