package com.dzdy.dim.api;

import com.dzdy.dim.contants.PushParam;

/**
 * 推送api
 *
 * @author : wangzhiyong
 * @date : 2019/5/27 15:33
 * description :
 */
public interface PushApi {

    /**
     * 推送数据
     *
     * @param pushParam #sessions 设备集合
     * @param pushParam #data     数据
     * @return
     */
    public R<Boolean> pushBySession(PushParam pushParam);

    /**
     * 推送数据
     *
     * @param pushParam #userId 用户id
     * @param pushParam #data   数据
     * @return
     */
    public R<Boolean> pushByUserId(PushParam pushParam);
}
