package com.dzdy.dim.contants;

/**
 * 平台类别
 *
 * @author : wangzhiyong
 * @date : 2019/6/20 14:36
 * description :
 */
public enum SessionPlatformEnum {

    /**
     * 平台类别
     */

    WEB("1", "web"),
    YHJ("2", "验货机"),
    CJY("3", "晨检仪");

    private final String code;
    private final String displayName;

    SessionPlatformEnum(String code, String displayName) {
        this.code = code;
        this.displayName = displayName;
    }

    public String getCode() {
        return code;
    }

    public String getDisplayName() {
        return displayName;
    }
}
