package com.dzdy.dim.handler;

import com.dzdy.dim.protocol.Packet;
import com.dzdy.dim.protocol.PacketCode;
import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.MessageToByteEncoder;

/**
 * 粘包
 *
 * @author : wangzhiyong
 * @date : 2019/5/27 14:22
 * description :
 */
public class PacketEncoder extends MessageToByteEncoder<Packet> {

    @Override
    protected void encode(ChannelHandlerContext ctx, Packet packet, ByteBuf out) {
        PacketCode.INSTANCE.encode(out, packet);
    }
}
