package com.dzdy.dim.protocol;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * TCP 通信包
 *
 * @author : wangzhiyong
 * @date : 2019/5/25 15:01
 * description :
 */
@Data
public abstract class Packet {

    /**
     * 协议版本
     */
    @JSONField(deserialize = false, serialize = false)
    private Byte version = 1;

    /**
     * 操作指令
     *
     * @return
     */
//    @JSONField(serialize = false)
    public abstract Byte getCommand();
}
