package com.dzdy.dim.protocol.command;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Set;

/**
 * jwt 用户类 outh2 定义
 *
 * @author : wangzhiyong
 * @date : 2019/5/28 16:50
 * description :
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class JWTUser {

    private Long exp;
    private String user_name;
    private Set<String> authorities;
    private String jti;
    private String client_id;
    private Set<String> scope;
}
