package com.dzdy.dim.protocol.request;

import com.dzdy.dim.protocol.Packet;
import lombok.Data;
import lombok.EqualsAndHashCode;

import static com.dzdy.dim.protocol.command.Command.CONFIRM;

/**
 * 消息确认包
 *
 * @author : wangzhiyong
 * @date : 2019/5/28 10:48
 * description :
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ConfirmRequestPacket extends Packet {

    /**
     * 消息id
     */
    private String packetId;

    @Override
    public Byte getCommand() {
        return CONFIRM.getCode();
    }

}
